import React from "react";
import style from "./Search.module.css";
export const Search = ({
  placeholder,
  onChange,
  icon: Icon,
  iconClassName,
  ...props
}) => {
  return (
    <div className={style.searchContainer}>
      {Icon && (
        <span className={style.icon}>
          <Icon className={`${style.icn} ${iconClassName || ""}`} />
        </span>
      )}
      <input placeholder={placeholder} onChange={onChange} {...props} />
    </div>
  );
};
