import { Icons } from "./Icons";

export default {
  title: "Base/Icons",
  component: Icons,
  parameters: {
    layout: "centered",
  },
};

const iconList = ["close", "search", "clock", "sun", "moon", "newspaper"];
export const icons = () => {
  return (
    <div className="icon-container">
      {iconList.map((e, i) => (
        <div key={i}>{<Icons name={e} size="medium" />}</div>
      ))}
    </div>
  );
};
