import { faker } from "@faker-js/faker";
import { Typo, Details } from "./Typo";

export default {
  title: "Base/Typography",
  component: Typo,
  parameters: {
    layout: "centered",
  },
};

export const Fonttype = {
  render: (args) => <Typo {...args} />,
  args: {
    description: faker.lorem.sentence(),
  },
};

export const Detailtype = {
  render: (args) => <Details {...args} />,
  args: {
    details: faker.lorem.sentence(),
  },
};
