import React from "react";
import Image from "next/image";
import img_1 from "../../../public/images/lifestyle1.jpg";
import styles from "./Card.module.css";
export const Card = ({ title, description }) => {
  return (
    <div className={styles.container}>
      <Image
        src={img_1}
        height={180}
        width={320}
        alt="Lifestyle image"
        className={styles.img}
      />
      <div className={styles.block}>
        <h4 className={styles.title}>{title}</h4>
        <p className={styles.text}>{description}</p>
      </div>
    </div>
  );
};
