import { Card } from "./Card";
import { faker } from "@faker-js/faker";

export default {
  title: "Top-level/Card",
  component: Card,
  parameters: {
    layout: "centered",
  },
};

export const Blogcard = {
  render: (args) => <Card {...args} />,
  args: {
    title: "Great tools to improve your personal blogging experience",
    description: faker.lorem.sentence(),
  },
};
